<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<div class="kikfyre" ng-app="eventMagicApp" ng-controller="eventCtrl" ng-init="initialize('list')" ng-cloak>
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="kf-operationsbar dbfl">
        <div class="kf-title difl">
            <?php $manager_navs = em_manager_navs(); ?>
            <select class="kf-dropdown" onchange="em_manager_nav_changed(this.value)">
                <?php foreach ($manager_navs as $nav): ?>
                    <option <?php echo $nav['key'] == 'events' ? 'selected' : ''; ?> value="<?php echo $nav['key']; ?>"><?php echo $nav['label']; ?></option>
                <?php endforeach; ?>
            </select>	
        </div>

        <div class="difr ep-support-links"><a target="__blank" href="https://eventprime.net/contact-us"><?php _e('Submit Support Ticket', 'eventprime-event-calendar-management'); ?></a></div>
        <div class="kf-nav dbfl">
            <ul class="dbfl">
                <li><a ng-click="addNewPopup()"><?php _e('Add New', 'eventprime-event-calendar-management'); ?></a></li>
                <li><button class="em_action_bar_button" ng-click="duplicatePosts()" ng-disabled="selectedAll || selections.length == 0" ><?php _e('Duplicate', 'eventprime-event-calendar-management'); ?></button></li>
                <li><button class="em_action_bar_button" ng-click="deletePost()" ng-disabled="selections.length == 0" ><?php _e('Delete', 'eventprime-event-calendar-management'); ?></button></li>
                <li id="em_select_events"><input type="checkbox" id="em_select_all" ng-model="selectedAll" ng-click="checkAll()" ng-true-value='true'/><label for="em_select_all"><?php _e('Select All', 'eventprime-event-calendar-management'); ?></label></li>
                <li ng-show="eventView == 'cards'"><input type="checkbox" ng-model="data.hideExpired" ng-click="prepareEventListPage(hideExpired)" ng-true-value="1" id="hide_expired"/><label for="hide_expired"><?php _e('Hide Past Events', 'eventprime-event-calendar-management'); ?></label></li>
                <li><a target="_blank" href="https://eventprime.net/starter-guide/"><?php _e('Starter Guide','eventprime-event-calendar-management'); ?> <span class="dashicons dashicons-book-alt"></span> </a> </li>
                <li class="kf-toggle difr"><?php _e('View As', 'eventprime-event-calendar-management'); ?>
                    <select class="kf-dropdown" ng-change="changeEventView()" ng-model="default_view">
                        <option value="month"><?php _e('Month', 'eventprime-event-calendar-management'); ?></option>
                        <option value="listWeek"><?php _e('List', 'eventprime-event-calendar-management'); ?></option>
                        <option value="basicDay"><?php _e('Day', 'eventprime-event-calendar-management'); ?></option>
                        <option value="basicWeek"><?php _e('Week', 'eventprime-event-calendar-management'); ?></option>
                        <option value="cards"><?php _e('Cards', 'eventprime-event-calendar-management'); ?></option>
                    </select>
                </li>
            </ul>
        </div>
    </div>

    <!-------------------------------- Calendar View ------------------------------------->
    <div ng-show="eventView != 'cards'">
        <!----- Calendar container ------->
        <div class="ep_calendar-wrap">
            <div id="em_calendar" class="ep-event-calendar dbfl"></div>
        </div>


    </div>
    <!-------------------------------- Calendar View ends here----------------------------->

    <div ng-show="eventView == 'cards'">
        <div class="kf-cards dbfl emagic-event-cards">

            <!---------------Single Card Loop--------------------->
            <div class="kf-card difl" ng-repeat="post in data.posts" ng-class="{'emcard-expired':post.is_expired}">
                <div ng-if="post.cover_image_url" class="kf_cover_image dbfl">
                    <img ng-show="post.cover_image_url" ng-src="{{post.cover_image_url}}" />
                </div>
                <div ng-if="!post.cover_image_url" class="kf_cover_image dbfl">
                    <img  ng-src="<?php echo esc_url(plugins_url('/images/event_dummy.png', __FILE__)) ?>" />
                </div>
                <div class="kf-card-content dbfl">
                    <div class="kf-card-title kf-wrap dbfl" title="{{post.name}}">
                        <input type="checkbox"  ng-model="post.Selected" ng-click="selectPost(post.id)"  ng-true-value="{{post.id}}" ng-false-value="0" id="{{post.name}}">
                        <label for="{{post.name}}">{{post.name}}</label>
                    </div>
                    <div class="kf-card-info kf-wrap dbfl" ng-show="post.venue_name"><?php _e('at', 'eventprime-event-calendar-management'); ?>
                        <span title="{{post.venue_name}}"> {{post.venue_name}}</span>
                    </div>
                    <div class="kf-card-info kf-wrap dbfl em_event_date"><?php _e('on', 'eventprime-event-calendar-management'); ?>
                        <span>{{post.between}}</span>
                    </div> 
                    <div class="kf-event-progress dbfl" ng-show="post.capacity > 0"> 
                        <?php _e('Booked', 'eventprime-event-calendar-management'); ?> {{post.sum}}/{{post.capacity}}
                        <div class="kf-progressbar-bg dbfl" data-sums='{{post.sum}}' data-total='{{post.capacity}}'>
                            <div ng-style="getProgressStyle(post)" class="kf-progressbar" ></div>
                        </div>
                    </div>  
                    <div class="event-progress" ng-show="post.capacity == 0 && post.sum > 0">
                        <?php _e('Booked', 'eventprime-event-calendar-management'); ?> {{post.sum}}
                    </div>  
                    <!-- Shortcodes -->
                    <div class="ep-event-shortcode dbfl">[em_event id="{{post.id}}"]</div>

                    <div class="ep-card-info">
                        <div class="ep-card-event-dash difl">
                            <a ng-href="<?php echo admin_url('/admin.php?page=em_dashboard'); ?>&post_id={{post.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management'); ?></a>
                        </div>

                    </div>    
                </div>
                <!---------------Card Loop ends here--------------------->

                <!---------------Empty card if data not available--------------------->
                <div class="em_empty_card" ng-show="data.posts.length == 0">		
                    <?php _e('The Events you create will appear here as neat looking Event Cards. Presently, you do not have any event scheduled.', 'eventprime-event-calendar-management'); ?>		
                </div>
            </div>   

            <!-------------------Card pagination----------------------->
            <div class="kf-pagination dbfr" ng-show="data.posts.length != 0"> 		
                <ul>		
                    <li class="difr" dir-paginate="post in data.total_posts | itemsPerPage: data.pagination_limit"></li>		
                </ul>
                <dir-pagination-controls on-page-change="pageChanged(newPageNumber)"></dir-pagination-controls>		
            </div>
        </div>
    </div>
    <!----- New Event Popup ------->
    <div ng-show="addNewClicked" id="newPopup">
        <div class="kikfyre kf-container">
            <div class="ep-modal-view">
                <div class="ep-modal-overlay" ng-click="addNewClicked = false;"></div> 
                <div class="ep-modal-wrap ep-add-newevent">
                    <form  name="calendarForm" ng-submit="savePopupEvent(calendarForm.$valid)" novalidate >
                        <div class="ep-modal-titlebar">
                            <div class="ep-modal-title"><?php _e('Add Event', 'eventprime-event-calendar-management'); ?></div>
                            <span class="ep-modal-close" ng-click="addNewClicked = false;" >&times;</span>
                        </div>

                        <div class="kf_progress_screen" ng-show="requestInProgress"></div>

                        <div class="emrow">
                            <div class="eminput">
                                <input type="text" ng-model="calendarNewEventPopup.title" placeholder="<?php _e('Add Title', 'eventprime-event-calendar-management'); ?>" />
                            </div>
                        </div>

                        <div class="emrow">
                            <div class="eminput">
                                <input type="text" readonly ng-model="calendarNewEventPopup.start_date" id="new_calendar_start_date" ng-model="calendarNewEventPopup.start_date" />
                                -
                                <input type="text" readonly ng-model="calendarNewEventPopup.end_date" id="new_calendar_end_date" ng-model="calendarNewEventPopup.end_date" />
                            </div>
                        </div>

                        <div class="emrow">
                            <div class="eminput">
                                <input type="checkbox" ng-model="calendarNewEventPopup.all_day" ng-model="calendarNewEventPopup.all_day" ng-true-value="1" ng-false-value="0" /> <?php _e('All Day', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>

                        <div class="emrow" ng-show="calendarNewEventPopup.performers.length>0">
                            <div class="eminput">
                                <select name="performer" class="emmultiselect" ie-select-fix="calendarNewEventPopup.performers"  ng-model="calendarNewEventPopup.performer" multiple ng-options="performer.id as performer.name for performer in calendarNewEventPopup.performers"></select>
                            </div>
                        </div>

                        <div class="emrow" ng-if="calendarNewEventPopup.venues.length>0">
                            <div class="eminput">
                                <select name="venue" ie-select-fix="calendarNewEventPopup.venues"  ng-model="calendarNewEventPopup.venue" ng-options="venue.id as venue.name for venue in calendarNewEventPopup.venues"></select>
                            </div>
                        </div>
                        
                        <div class="emrow" ng-if="calendarNewEventPopup.event_types.length>0">
                            <div class="eminput">
                                <select name="event_type" ie-select-fix="calendarNewEventPopup.event_types"  ng-model="calendarNewEventPopup.event_type" ng-options="event_type.id as event_type.name for event_type in calendarNewEventPopup.event_types"></select>
                            </div>
                        </div>
                        
                        <div class="form_errors">
                            <ul>
                                <li class="emfield_error" ng-repeat="error in  formErrors">
                                    <span>{{error}}</span>
                                </li>
                            </ul>  
                        </div>
                        <div class="dbfl emrow kf-popup-button-area"">
                            <div ng-show="calendarNewEventPopup.id > 0"><a ng-href="<?php echo admin_url('admin.php?page=em_dashboard') ?>&post_id={{calendarNewEventPopup.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management') ?></a></div>
                            <div><button type="submit" class="btn btn-primary" ng-disabled="calendarForm.$invalid || requestInProgress"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button></div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="ep-modal-wrap" id="calendarPopup" ng-show="calendarDayClicked">
        <form  name="calendarForm" ng-submit="savePopupEvent(calendarForm.$valid)" novalidate >
            <div class="ep-modal-titlebar">
                <div class="ep-modal-title" id="em_edit_event_title" data-text="<?php _e('Add Event Title', 'eventprime-event-calendar-management'); ?>" contenteditable="true">{{calendarNewEventPopup.title}}</div>

                <span class="ep-modal-close" ng-click="calendarDayClicked = false;" >&times;</span>
            </div>

            <div class="kf_progress_screen" ng-show="requestInProgress"></div>
        
            <div class="emrow" style="display:none">
                <div class="epinputicon"><i class="material-icons">add_box</i></div>
                <div class="eminput">
                    <input type="text" ng-model="calendarNewEventPopup.title" placeholder="<?php _e('Add Title', 'eventprime-event-calendar-management'); ?>" />
                </div>
            </div>

            <div class="emrow">
                <div class="epinputicon"><i class="material-icons">schedule</i></div>
                <div class="eminput">
                    <input type="text" readonly ng-model="calendarNewEventPopup.start_date" id="calendar_start_date" ng-model="calendarNewEventPopup.start_date" />
                    -
                    <input type="text" readonly ng-model="calendarNewEventPopup.end_date" id="calendar_end_date" ng-model="calendarNewEventPopup.end_date" />
                </div>
            </div>

            <div class="emrow">
                <div class="epinputicon">&nbsp;</div>
                <div class="eminput">
                    <input type="checkbox" ng-model="calendarNewEventPopup.all_day" ng-model="calendarNewEventPopup.all_day" ng-true-value="1" ng-false-value="0" /> <?php _e('All Day', 'eventprime-event-calendar-management'); ?>
                </div>
            </div>

            <div class="emrow" ng-show="calendarNewEventPopup.performers.length>0">
                <div class="epinputicon"><i class="material-icons">person_add</i></div>
                <div class="eminput">
                    <select name="performer" class="emmultiselect" ie-select-fix="calendarNewEventPopup.performers"  ng-model="calendarNewEventPopup.performer" multiple ng-options="performer.id as performer.name for performer in calendarNewEventPopup.performers"></select>
                </div>
            </div>

            <div class="emrow" ng-if="calendarNewEventPopup.venues.length>0">
                <div class="epinputicon ep-add-location"><i class="material-icons">add_location</i></div>
                <div class="eminput">
                    <select name="venue" ie-select-fix="calendarNewEventPopup.venues"  ng-model="calendarNewEventPopup.venue" ng-options="venue.id as venue.name for venue in calendarNewEventPopup.venues"></select>
                </div>
            </div>
            
            <div class="emrow" ng-if="calendarNewEventPopup.event_types.length>0">
                <div class="epinputicon ep-add-location"><i class="material-icons">style</i></div>
                <div class="eminput">
                    <select name="event_type" ie-select-fix="calendarNewEventPopup.event_types"  ng-model="calendarNewEventPopup.event_type" ng-options="event_type.id as event_type.name for event_type in calendarNewEventPopup.event_types"></select>
                </div>
            </div>
            
            <?php do_action('ep_admin_event_popup'); ?>
            
            <div class="form_errors">
                <ul>
                    <li class="emfield_error" ng-repeat="error in  formErrors">
                        <span>{{error}}</span>
                    </li>
                </ul>  
            </div>
            <div class="dbfl emrow kf-popup-button-area">
                <div ng-show="calendarNewEventPopup.id > 0" class="epcalendarPopup-dash"><a ng-href="<?php echo admin_url('admin.php?page=em_dashboard') ?>&post_id={{calendarNewEventPopup.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management') ?></a></div>
                <div class="epcalendarPopup-save"><button type="submit"  ng-disabled="calendarForm.$invalid || requestInProgress"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button></div>
            </div>

        </form>
    </div>
</div>

