<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<?php
wp_enqueue_script('em-public');
$event_service = EventM_Factory::get_service('EventM_Service');
$gs_service = EventM_Factory::get_service('EventM_Setting_Service');
$global_settings = $gs_service->load_model_from_db();
global $wp;
if (event_m_get_param('em_types')) {
    $type_id = event_m_get_param('em_types');
    $type_service = EventM_Factory::get_service('EventTypeM_Service');
    $type_model = $type_service->load_model_from_db($type_id);
    if (!empty($type_model->id) && !empty($type_model->description)) {
        ?>    
        <div class="em_event_type_note">
            <?php echo $type_model->name; ?>
            <?php echo do_shortcode(wpautop($type_model->description)); ?>
        </div>

    <?php
    }
}
$currency_symbol = em_currency_symbol();
$view = isset($_GET['events_view']) ? $_GET['events_view'] : $global_settings->default_cal_view;
$form_action = !empty($events_page_id) ? get_permalink($events_page_id) : "";
$form_action = add_query_arg('events_view', $view,$form_action);
$request_data= $_REQUEST;
if(!empty($request_data['em_s'])){
    $view= 'card';
    if(!empty($request_data['em_types']) && !is_array($request_data['em_types'])){
        $request_data['em_types']= explode(',', $request_data['em_types']);
    }
}
?>
<div class="emagic">
    <form id="em_event_search_form" class="ep-event_search_form dbfl" name="em_event_search_form" action="<?php echo $form_action; ?>"> 
        <div class="em_event_views_wrap dbfl">
            <div class="em_event-filter-reset difl"><a href="<?php echo home_url(add_query_arg(array('events_view'=>$view),$wp->request)); ?>"><?php _e('Reset Filters', 'eventprime-event-calendar-management'); ?></a></div>
            <div class="em_event_views difr">
                <div class="ep-event-view-sort difl"><?php _e('View as', 'eventprime-event-calendar-management'); ?></div>
                <?php //Profile Grid group ID  
                      $gid = isset($_REQUEST['gid']) ? '&gid='.absint($_REQUEST['gid']) : '';  
                ?>
                <div class="ep-event-view-sort difl <?php echo $view == 'list' ? 'ep-active-view' : ''; ?>"><a href="?events_view=list<?php echo $gid; ?>"><span class="difl"><i class="material-icons">view_list</i></span><?php _e('List', 'eventprime-event-calendar-management'); ?></a></div>
                <div class="ep-event-view-sort difl <?php echo $view == 'card' ? 'ep-active-view' : ''; ?>"><a href="?events_view=card<?php echo $gid; ?>"><span class="difl"><i class="material-icons">view_module</i></span><?php _e('Card', 'eventprime-event-calendar-management'); ?></a></div>
                <div class="ep-event-view-sort difl <?php echo $view == 'day' ? 'ep-active-view' : ''; ?>"><a href="?events_view=day<?php echo $gid; ?>"><span class="difl"><i class="material-icons">today</i></span><?php _e('Day', 'eventprime-event-calendar-management'); ?></a></div>
                <div class="ep-event-view-sort difl <?php echo $view == 'week' ? 'ep-active-view' : ''; ?>"><a href="?events_view=week<?php echo $gid; ?>"><span class="difl"><i class="material-icons">today</i></span><?php _e('Week', 'eventprime-event-calendar-management'); ?></a></div>
                <div class="ep-event-view-sort difl <?php echo $view == 'month' ? 'ep-active-view' : ''; ?>"><a href="?events_view=month<?php echo $gid; ?>"><span class="difl"><i class="material-icons">today</i></span><?php _e('Month', 'eventprime-event-calendar-management'); ?></a></div>
            </div>
        </div>
        <!-- Filter -->
        <div class="ep-event-filters dbfl">           
            <div class="ep-event-filter-block difl">
                <div class="ep-event-filter-search">
                    <div class='ep-filter-label dbfl'><?php _e('Search by keyword', 'eventprime-event-calendar-management'); ?></div>
                    <input type="hidden" name="em_s" value="1" />
                    <input placeholder="<?php _e('Keyword', 'eventprime-event-calendar-management'); ?>" class="em_input" type="text" name="em_search" id="em_search" value="<?php $data = event_m_get_param('em_search');
echo $data; ?>" />
                </div>
            </div>
           <!-- <a class="em_hide_filter" ><?php _e('View and Hide Filter', 'eventprime-event-calendar-management'); ?></a>-->

            <div class="ep-event-filter-block difl">
                <div class="ep-event-types">
                    <div class="ep-filter-label"><?php echo __('Search by Event Type', 'eventprime-event-calendar-management'); ?></div>
                    <div class="ep-event-title ep_menu_item_visible"><?php _e('Event Type','eventprime-event-calendar-management'); ?></div>
                    <div class="ep-event-types-wrap ep_menu_item_hide">
                        <?php
                        $eventType_service = EventM_Factory::get_service('EventTypeM_Service');
                        $types = $eventType_service->get_types();
                        $em_types = (array) event_m_get_param('em_types');
                        if (count($types) > 0):
                            foreach ($types as $type):?>
                                <div class="ep-event-type-block">
                                    <div class="em_radio">
                                        <input type="checkbox" <?php echo !empty($request_data['em_types']) ? in_array($type->id, $request_data['em_types']) ? 'checked' : '' :'' ?> class="em_type_option" name="em_types[]" value="<?php echo $type->id; ?>" <?php if (in_array($type->id, $em_types)) echo 'checked'; ?> id="<?php echo $type->id; ?>"style="background-color: <?php echo '#' . $type->color; ?>" />
                                <?php echo $type->name; ?>
                                    </div>
                                </div>
                                <?php
                            endforeach;
                        endif;
                        ?> 
                    </div>
                </div>
            </div>
            <div class="ep-event-filter-block difl">
                <div class='start-end-date'>
                    <div class="ep-filter-label"> <?php echo __('Search by Date', 'eventprime-event-calendar-management'); ?></div>
                    <div class="ep-event-date"> 
                        <input type="text" placeholder="" readonly class="em_date" name="em_sd" value="<?php echo isset($_REQUEST['em_sd']) ? $_REQUEST['em_sd'] : ' '; ?>"/>
                    </div>
                </div>
            </div>

            <div class="ep-event-filter-block difl">
                <div class='ep-event-venue-filter'>
                    <div class="ep-filter-label"><?php echo __('Search by Event Site', 'eventprime-event-calendar-management'); ?></div>
                    <div class="ep-event-serach-venue">
                        <?php
                        $venue_service = EventM_Factory::get_service('EventM_Venue_Service');
                        $all_venues = $venue_service->get_venues();
                        $selected_venue = isset($_REQUEST['em_venue']) ? $_REQUEST['em_venue'] : '';
                        if (count($all_venues) > 0):
                            ?>
                            <select name="em_venue">
                                <option value=""><?php _e('Event Site', 'eventprime-event-calendar-management'); ?></option>
                                <?php foreach ($all_venues as $venue): ?>
                                    <option <?php echo $selected_venue==$venue->id ? 'selected' : ''; ?>  value='<?php echo $venue->id; ?>'><?php echo $venue->name; ?></option>
                                    <?php
                                endforeach;
                                ?>
                            </select>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php do_action('em_event_filter_form'); ?>
            <div class="ep-event-filter-block difl">
                <div class="ep-event-filter-search_buttons">    
                    <input class="em_bg" type="submit" value="<?php _e('Search', 'eventprime-event-calendar-management'); ?>"/>
                </div>
            </div>
            
            

        </div>
    </form> 
</div>  
<?php
switch ($view) {
    case 'list':
    case 'day':
    case 'week':
    case 'month': include_once('event_views/calendar.php');
        break;
    default: include_once('event_views/card.php'); // Loading card view
}
