<?php

class EventM_Constants
{   
    static public $status= array('completed'=>"Completed",
                                 'cancelled'=>"Cancelled",
                                 'pending'=>"Pending",
                                 'draft'=>'Draft',
                                 'refunded'=>"Refunded"
    );
    
    static public $currencies= array(
            'USD' => 'United States Dollars',
            'EUR' => 'Euros',
            'GBP' => 'Pounds Sterling',
            'AUD' => 'Australian Dollars',
            'BRL' => 'Brazilian Real',
            'CAD' => 'Canadian Dollars',
            'CZK' => 'Czech Koruna',
            'DKK' => 'Danish Krone',
            'HKD' => 'Hong Kong Dollar',
            'HUF' => 'Hungarian Forint',
            'ILS' => 'Israeli Shekel',
            'JPY' => 'Japanese Yen',
            'MYR' => 'Malaysian Ringgits',
            'MXN' => 'Mexican Peso',
            'NZD' => 'New Zealand Dollar',
            'NOK' => 'Norwegian Krone',
            'PHP' => 'Philippine Pesos',
            'PLN' => 'Polish Zloty',
            'SGD' => 'Singapore Dollar',
            'SEK' => 'Swedish Krona',
            'CHF' => 'Swiss Franc',
            'TWD' => 'Taiwan New Dollars',
            'THB' => 'Thai Baht',
            'INR' => 'Indian Rupee',
            'TRY' => 'Turkish Lira',
            'RIAL' => 'Iranian Rial',
            'RUB' => 'Russian Rubles',
            'BIF' => 'Burundi Franc'
        );
   
    static public $currency_symbol = array(
            'USD' => '$',
            'EUR' => '€',
            'GBP' => '£',
            'AUD' => '$',
            'BRL' => 'R$',
            'CAD' => '$',
            'CZK' => 'Kč',
            'DKK' => 'kr',
            'HKD' => '$',
            'HUF' => 'Ft',
            'ILS' => '₪',
            'JPY' => '¥',
            'MYR' => 'RM',
            'MXN' => '$',
            'NZD' => '$',
            'NOK' => 'kr',
            'PHP' => '₱',
            'PLN' => 'zł',
            'SGD' => '$',
            'SEK' => 'kr',
            'CHF' => 'CHF',
            'TWD' => 'NT$',
            'THB' => '฿',
            'INR' => '₹',
            'TRY' => 'TRY',
            'RIAL' => 'RIAL',
            'RUB' => 'руб',
            'BIF' => '₣'
        
        );
    
    static private $fonts= array("FreeSerif","Courier","Helvetica","Times");
    
    static public function get_currencies_cons(){
        return self::$currencies;
    }
    
     static public function get_currency_symbol(){
        return self::$currency_symbol;
    }

    
    static public function get_fonts_cons()
    {
        return self::$fonts;
    }
    
}